import {
  Action,
  ContextItem,
  Domain,
} from '@modules/authorization/core/domain/authorization.types';
import { IsArray, IsEnum, IsNotEmpty } from 'class-validator';

export class DecisionRequestDto {
  @IsEnum(Domain)
  @IsNotEmpty()
  domain: Domain;

  @IsEnum(Action)
  @IsNotEmpty()
  action: Action;

  @IsArray()
  context?: ContextItem[];
}
